Subject: Re: [bug#27355] [PATCH 3/7] gnu: Add libsigrokdecode.

From: Theodoros Foradis <[email-masked]>
Date: Mon, 26 Jun 2017 19:50:56 +0300

Hello,

> Hi,
>> Also, reading srd.c it seems that this library embeds Python.  Is it still supposed to be a propagated-input then?  It doesn't need the executable at runtime or anything.  Users probably do need the Python standard library, so I guess it's OK...  Hartmut, what do you think?
>
> Sorry for answering late.
>
> I'm confident that python should be a *normal* input – although it
> should be tested (and the result documented in guix.texi). I'm short in
> time, so I can't test myself now.
>
> From the Documentation [1] I can not tell exactly how libpython behaves
> if used embedded. But the code [2] says:
>
>     Step 3 [… search python3 on $PATH]
>
>     Step 4. Search the directories pointed to by the preprocessor variables
>     PREFIX and EXEC_PREFIX.  These are supplied by the Makefile but can be
>     passed in as options to the configure script.
>
> So the PREFIX guix is setting is honoured (as a last resort).
>
> BTW: I assume glib should be a normal input, too.
>
> [1] https://docs.python.org/3/c-api/init.html
> [2] https://github.com/python/cpython/blob/master/Modules/getpath.c#L73
>
> [3] https://github.com/python/cpython/blob/master/Modules/getpath.c#L495
> [4] https://github.com/python/cpython/blob/master/Modules/getpath.c#L364

I have tested having either python/glibc as *normal* inputs. Cmake,
which is used by pulseview, gives out an error and the build fails at
the configure phase. Maybe I'm missing something?

Regards,
-- 
Theodoros Foradis